Zone (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.Zone interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys
Interface Zone

All Superinterfaces:
  ConfigurationItem, Geography, ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalLocation, Position, java.io.Serializable, SiteInfo

    public interface Zone

extends SiteInfo

represents a abstract geographical location that pertains to multiple geographical locations. The physical locations within a zone may be geographically disperse, or they may be contiguous. Instances of Zone can represent a single location within a room (Zone 1 in room 42) or instances of Zone can represent multiple rooms (Zone 1 is rooms 41, 42, 49, and 56). There is no rule as to the required physical size of a location to be considered a instance of Zone, and instances of Zone can represent locations that are geographically disperse

Naming Rules:
  2="zoneName,-zoneNumber" 3="zoneName,zoneNumber" 1="geographyForSite,zoneName,-zoneNumber" 0="geographyForSite,zoneName,zoneNumber"
Persistable:
  true
Display Name:
  zoneName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`SiteInfo[]` | `getContainingSiteForZone()`
`java.lang.String` | `getZoneName()` Description:The name of a zone, as it is recognized by this company.
`java.lang.String` | `getZoneNumber()` Description:Represents the number of the particular zone, where the identity of a site requires more than a name.
`boolean` | `hasContainingSiteForZone()`
`boolean` | `hasZoneName()`
`boolean` | `hasZoneNumber()`
`void` | `setContainingSiteForZone(SiteInfo[] x)`
`void` | `setZoneName(java.lang.String x)`
`void` | `setZoneNumber(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.admin.SiteInfo
`getCity, getContainerSiteForSite, getContainingSiteForSite, getFloor, getGeographyForSite, getName, getNote, getPostalCode, getRoom, getSiteName, getSiteNumber, getStateOrProvince, getStreetAddress, hasCity, hasContainerSiteForSite, hasContainingSiteForSite, hasFloor, hasGeographyForSite, hasName, hasNote, hasPostalCode, hasRoom, hasSiteName, hasSiteNumber, hasStateOrProvince, hasStreetAddress, setCity, setContainerSiteForSite, setContainingSiteForSite, setFloor, setGeographyForSite, setName, setNote, setPostalCode, setRoom, setSiteName, setSiteNumber, setStateOrProvince, setStreetAddress`

Methods inherited from interface com.collation.platform.model.topology.phys.Geography
`getCountry, getRegionName, getRegionNumber, getSiteGeography, hasCountry, hasRegionName, hasRegionNumber, hasSiteGeography, setCountry, setRegionName, setRegionNumber, setSiteGeography`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.phys.Position
`getAisle, getAltitude, getRackPosition, getRow, getXCoordinate, getYCoordinate, hasAisle, hasAltitude, hasRackPosition, hasRow, hasXCoordinate, hasYCoordinate, setAisle, setAltitude, setRackPosition, setRow, setXCoordinate, setYCoordinate`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getContainingSiteForZone

    SiteInfo[] getContainingSiteForZone()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setContainingSiteForZone

    void setContainingSiteForZone(SiteInfo[] x)

### hasContainingSiteForZone

    boolean hasContainingSiteForZone()

### getZoneNumber

    java.lang.String getZoneNumber()
                                   throws AttributeNotSetException

  Description:Represents the number of the particular zone, where the identity of a site requires more than a name. Standard Content Origin / Best Practice Content:To be used when there is additional need to qualify the identity of the site, where the name of the site is not unique within the environment. The content of this attribute should match to a valid site number for the organization. Example:0051 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setZoneNumber

    void setZoneNumber(java.lang.String x)

### hasZoneNumber

    boolean hasZoneNumber()

### getZoneName

    java.lang.String getZoneName()
                                 throws AttributeNotSetException

  Description:The name of a zone, as it is recognized by this company. Zones can be bounded by country borders, by geographical components of a individual country or state/province, by a city or town, a collection of buildings, or a area within a building. Standard Content Origin / Best Practice Content:Provide the zone name or the resource instance. The content of this attribute should match to a obtainable zone. Follow the best practices for the organization implementing this attribute Example:network center zone Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setZoneName

    void setZoneName(java.lang.String x)

### hasZoneName

    boolean hasZoneName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD